# Generated by Django 3.2.8 on 2021-11-19 09:18

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0023_add_choose_permissions"),
        ("district", "0022_remove_districtelectionpage_strategy_page"),
    ]

    operations = [
        migrations.AddField(
            model_name="districtelectionpointpage",
            name="list_image",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="wagtailimages.image",
            ),
        ),
        migrations.AddField(
            model_name="districtelectionpointpage",
            name="perex",
            field=models.TextField(
                default="",
                help_text="Pro přehled volebního programu",
                verbose_name="Perex",
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="districtelectionpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "candidate_list",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "call_to_action_text",
                                    wagtail.blocks.CharBlock(
                                        label="Text 'call-to-action' baneru"
                                    ),
                                ),
                                (
                                    "call_to_action_link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz 'call-to-action' baneru",
                                        required=False,
                                    ),
                                ),
                                (
                                    "call_to_action_button_text",
                                    wagtail.blocks.CharBlock(
                                        label="Text tlačítka 'call-to-action' baneru",
                                        max_length=24,
                                        required=False,
                                    ),
                                ),
                                (
                                    "candidate_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Osoba",
                                            page_type=["district.DistrictPersonPage"],
                                        ),
                                        label="Kandidáti",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Obsah stránky",
            ),
        ),
    ]
